Bonuses
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Create a new Bonus Preset
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/bonuses/presets" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "platformId": 0, "name": "Preset", "lifetime": 0, "dynamicLots": 55.55, "enableAutoCredit": true, "scalpingThreshold": 0, "enableTrade": true, "disabledGroups": [ "EURJPY" ] }'{ "id": 0, "platform": "MetaTrader4", "name": "Preset", "priority": 0, "default": true, "lifetime": 0, "dynamicLots": "0.000", "enableAutoCredit": true, "scalpingThreshold": 0, "disabledGroups": "EURJPY, USDEUR", "enableTrade": true, "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00"}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}